Skip to main content
POST
/
private
/
GetOtcHistoricalQuotes
Get OTC Historical Quotes
curl --request POST \
  --url https://api.kraken.com/0/private/GetOtcHistoricalQuotes \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "nonce": 123
}'
{
  "error": [
    "EGeneral:Invalid arguments"
  ],
  "result": [
    {
      "acceptance": {
        "status": "accepted",
        "time": 1736257135382
      },
      "settlement_status": "settled",
      "quote_id": "00001c47-8f59-4099-b6f8-b637437ef1ab",
      "base": "BTC",
      "quote": "USD",
      "type": "buy",
      "price": "100000.25",
      "amount": "2.5",
      "total": "250000.625",
      "settlement": "automated",
      "trade_id": "TR123ABS",
      "status": null,
      "client_order_id": "7264675290025181184"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Body

application/json

Request body schema for retrieving historical quotes for OTC instruments. This endpoint does not require any request body parameters.

nonce
integer<int64>
required

Nonce used in construction of API-Sign header

Response

Historical quotes retrieved.

Response schema for retrieving historical OTC quotes.

error
string[]
required

Kraken API error

result
Historical quotes · object[]